Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Geometry::PixeledLine Struct Reference

`#include <Geometry.h>`

List of all members.

## Public Member Functions
| PixeledLine (int x1, int x2, int y1, int y2)
| PixeledLine (Vector2< int > start, Vector2< int > end)
void | calculatePixels ()
int | getNumberOfPixels () const
int | getPixelX (int i) const
int | getPixelY (int i) const
## Private Types
enum | { maxNumberOfPixelsInLine = 600 }
## Private Attributes
int | x1
int | y1
int | x2
int | y2
int | numberOfPixels
int | x_coordinate [maxNumberOfPixelsInLine]
int | y_coordinate [maxNumberOfPixelsInLine]

## Member Enumeration Documentation

anonymous enum`[private]`

  | Enumeration values:
  maxNumberOfPixelsInLine |
Definition at line 142 of file Geometry.h.

## Constructor & Destructor Documentation

Geometry::PixeledLine::PixeledLine | ( | int | x1,
|  | int | x2,
|  | int | y1,
|  | int | y2
| ) | `[inline]`

| Definition at line 79 of file Geometry.h. References calculatePixels().

Here is the call graph for this function:

Geometry::PixeledLine::PixeledLine | ( | Vector2< int > | start,
|  | Vector2< int > | end
| ) | `[inline]`

| Definition at line 84 of file Geometry.h. References calculatePixels(), x1, x2, y1, and y2.

Here is the call graph for this function:

## Member Function Documentation

void Geometry::PixeledLine::calculatePixels | ( |  | ) | `[inline]`

| Definition at line 89 of file Geometry.h. References numberOfPixels, x1, x2, x_coordinate, y1, y2, and y_coordinate. Referenced by PixeledLine().

int Geometry::PixeledLine::getNumberOfPixels | ( |  | ) | const`[inline]`

| Definition at line 123 of file Geometry.h. References numberOfPixels. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), GoalRecognizer::scanHorizontalForGoals(), SlamGoalRecognizer::scanLinesForGoals(), GoalRecognizer::scanLinesForGoals(), and GuideDogRobotSpecialist::scanParallelToHorizon().

int Geometry::PixeledLine::getPixelX | ( | int | i | ) | const`[inline]`

| Definition at line 128 of file Geometry.h. References x_coordinate. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), GoalRecognizer::scanHorizontalForGoals(), SlamGoalRecognizer::scanLinesForGoals(), GoalRecognizer::scanLinesForGoals(), and GuideDogRobotSpecialist::scanParallelToHorizon().

int Geometry::PixeledLine::getPixelY | ( | int | i | ) | const`[inline]`

| Definition at line 133 of file Geometry.h. References y_coordinate. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), GoalRecognizer::scanHorizontalForGoals(), SlamGoalRecognizer::scanLinesForGoals(), GoalRecognizer::scanLinesForGoals(), and GuideDogRobotSpecialist::scanParallelToHorizon().

## Member Data Documentation

int Geometry::PixeledLine::x1`[private]`

| Definition at line 139 of file Geometry.h. Referenced by calculatePixels(), and PixeledLine().

int Geometry::PixeledLine::y1`[private]`

| Definition at line 139 of file Geometry.h. Referenced by calculatePixels(), and PixeledLine().

int Geometry::PixeledLine::x2`[private]`

| Definition at line 139 of file Geometry.h. Referenced by calculatePixels(), and PixeledLine().

int Geometry::PixeledLine::y2`[private]`

| Definition at line 139 of file Geometry.h. Referenced by calculatePixels(), and PixeledLine().

int Geometry::PixeledLine::numberOfPixels`[private]`

| Definition at line 140 of file Geometry.h. Referenced by calculatePixels(), and getNumberOfPixels().

int Geometry::PixeledLine::x_coordinate[maxNumberOfPixelsInLine]`[private]`

| Definition at line 143 of file Geometry.h. Referenced by calculatePixels(), and getPixelX().

int Geometry::PixeledLine::y_coordinate[maxNumberOfPixelsInLine]`[private]`

| Definition at line 144 of file Geometry.h. Referenced by calculatePixels(), and getPixelY().

The documentation for this struct was generated from the following file:

- Tools/Math/Geometry.h